package de.ullisroboterseite.ursanalogclock;

import com.google.appinventor.components.runtime.*;

import android.view.View;
import android.widget.AnalogClock;

public class UrsClockComponent extends AndroidViewComponent {
   final AnalogClock view;

   UrsClockComponent(ComponentContainer container) {
      super(container);
      view = new AnalogClock(container.$context());
   }

   @Override
   public View getView() {
      return view;
   }

   public void setBackgroundColor(int argb) {
      view.setBackgroundColor(argb);
   }
}